a.draft-machine-method {
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: #999;
    padding: 2rem;
}

a.draft-machine-method:hover {
    background-color: #EEE;
    color: #666;
}

.draft-machine-method .draft-machine-method-title {
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 0.8rem;
}

.draft-machine-method .draft-machine-method-title i {
    margin-right: 0.5rem;
}

.draft-machine-method .draft-machine-method-description {

}

.error {
    color: #FF2F2F;
}

.fields {
    display: flex;
    flex-flow: column;
}

.fieldwrap {
    display: flex;
    flex-flow: row wrap;
    margin-bottom: 0.8rem;
}

.fieldwrap label {
    flex-basis: 100%;
}

#draft-machine h5 {
    font-weight: bold;
    width: 100%;
}

#draft-machine p {
    margin-bottom: 0.5rem;
}

.grouped-tabs {
    display: flex;
}

.grouped-tabs > * {
    border: 1px solid;
    padding: 0.2rem 0.5rem;
    background-color: #FFF;
    margin: 0;
}

.grouped-tabs > *.on {
    color: #FFF;
    background-color: #FF2F2F;
    border: 1px solid #FF2F2F;
    font-weight: bold;
}

.advanced-auto-draft-settings {
    border: 1px solid #DDD;
    padding: 0.5rem;
}

.show-settings {
    border: 1px solid #EEE;
    background-color: #EEE;
    padding: 0.2rem;
}

.field-type-tags {
    display: flex;
    flex-flow: row wrap;
}

.field-type-tags .tag {
    margin-right: 1rem;
    margin-bottom: 0.5rem;
    padding: 0.5rem 1rem;
    background-color: #EEE;
    opacity: 0.5;
    cursor: pointer;
}

.field-type-tags .tag.on {
    font-weight: 600;
    opacity: 1;
}

.roster-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, 70px);
    grid-template-rows: repeat(auto-fill, 70px);
    grid-gap: 5px;
    justify-content: center;
    width: 100%;
}

#interactive-roster-grid-wrapper {

}

#interactive-roster-grid {
    height: 40vh;
    overflow-y: scroll;
}

#interactive-roster-grid .wrestler-image {
    cursor: pointer;
}

#interactive-roster-grid .wrestler-image.drafted {
    -webkit-filter: grayscale(100%);
    opacity: 0.5;
    cursor: not-allowed;
}

/* Loading */
#draft-machine-loading {
    display: flex;
    flex-flow: column nowrap;
    padding-top: 2rem;
    padding-bottom: 2rem;
    font-size: 1.3rem;
    align-items: center;
}

.spinner-wrapper {
    font-size: 3rem;
}

/* Shows */
.show {
    position: relative;
    align-content: flex-start;
}

.show .inactive-show-overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    background-color: #FFF;
    opacity: 0.5;
    top: 0;
    left: 0;
    z-index: 10;
}

.show .show-header {
    align-items: center;
    justify-content: center;
    margin-bottom: 1rem;
}

.show .show-header input {
    margin-bottom: 0;
}

.show .show-header-menu-wrapper a {
    font-size: 2rem;
    color: #999;
}

.show .show-header-menu-wrapper a:hover {
    color: #333;
}

.show .show-menu {
    padding-bottom: 0.5rem;
    margin-bottom: 0.5rem;
    border-bottom: 4px solid #CCC;
    font-size: 0.9rem;
}

.show .show-menu a {
    width: 100%;
    padding: 0.5rem;
    color: #666;
    background-color: #EEE;
    border-bottom: 2px solid #FFF;
}

.show .show-menu a:hover {
    color: #111;
    font-weight: 600;
    background-color: #CCC;
}

.show .roster-grid {
    justify-content: left;
}

.button-group {
    margin-bottom: 0;
}

.button-group .button {
    margin-bottom: 0;
    align-self: flex-start;
}

.wrestler-image {
    position: relative;
}

.wrestler-image .wrestler-remove-overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    justify-content: center;
    align-items: center;
    font-size: 3rem;
    color: #EEE;
    display: none;
}

.show .wrestler-image:hover {
    -webkit-filter: grayscale(100%);
}

.show .wrestler-image:hover .wrestler-remove-overlay {
    display: flex;
    cursor: pointer;
}

/* Tag filters */
#interactive-draft-tag-filters {
    font-size: 0.8rem;
    justify-content: flex-end;
}

.tag-filters {
    flex-flow: row wrap;
    display: flex;
}

.tag-filter {
    background-color: #DDD;
    padding: 0.5em 1em;
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    margin-right: 0.8em;
    margin-bottom: 0.8em;
    cursor: pointer;
}

.tag-filter .tag-filter-icon {
    font-size: 1.2em;
    margin-right: 1em;
    --fa-primary-color: #FF0000;
    --fa-secondary-color: #000000;
    --fa-secondary-opacity: 1;
}

.tag-filter.ignore {
    opacity: 0.6;
}

/* Draft dialog */
#draft-machine-randomiser img {
    width: 200px;
    height: 200px;
    margin-bottom: 0.8rem;
}

#draft-machine-randomiser .dialog-content {
    flex-flow: column nowrap;
    align-items: center;
}